Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class QueryType

    java.lang.Object
      com.sun.mdm.index.parser.QueryType

public class QueryType
extends java.lang.Object

Nested Class Summary
`static class` | `QueryType.BlockBy`
`static class` | `QueryType.BlockDefinition`
`static class` | `QueryType.BlockRule`
`(package private) class` | `QueryType.Config`
`class` | `QueryType.QueryBuilder`
`(package private) class` | `QueryType.QueryBuilderConfig`
`static class` | `QueryType.RangeDefault`

Field Summary
`static java.lang.String` | `DEFALUT_BASIC_QUERY_BUILDER_CLASS`
`static java.lang.String` | `DEFALUT_BASIC_QUERY_BUILDER_PARSER_CLASS`
`static java.lang.String` | `DEFALUT_BLOCKER_QUERY_BUILDER_CLASS`
`static java.lang.String` | `DEFALUT_BLOCKER_QUERY_BUILDER_PARSER_CLASS`

Constructor Summary
`QueryType()`

Method Summary
`QueryType.BlockDefinition` | `createBlockDefinition(java.lang.String queryBuilderName, java.lang.String name, java.lang.String hint, QueryType.BlockRule blockRule)`
`QueryType.QueryBuilder` | `createQueryBuilder(java.lang.String queryBuilderName, java.lang.String queryBuilderClass, java.lang.String parserClass, boolean bStandardize, boolean bPhoneticize, java.lang.String optionKey, java.lang.String optionValue, boolean bUseWildcard, java.util.ArrayList alBlockingRulesSelected)`
`void` | `deleteBlockDefinitionByName(java.lang.String queryBuilderName, java.lang.String name)`
`void` | `deleteQueryBuilderByName(java.lang.String queryBuilderName)`
`java.util.ArrayList` | `getAllBlockDefinitions()`
`QueryType.BlockDefinition` | `getBlockDefinitionByName(java.lang.String queryBuilderName, java.lang.String blockDefinitionName)`
`java.util.ArrayList` | `getBlockDefinitions(java.lang.String queryBuilderName)`
`java.util.ArrayList` | `getBlockingSources()`
`java.util.ArrayList` | `getBlockOnFields()`
`QueryType.BlockRule` | `getBlockRuleOfBlockDefinition(java.lang.String queryBuilderName, java.lang.String blockDefinitionName)`
`QueryType.QueryBuilder` | `getNewQueryBuilder()`
`QueryType.QueryBuilder` | `getQueryBuilderByName(java.lang.String queryBuilderName)`
`java.util.ArrayList` | `getQueryBuilders()`
`java.lang.String` | `getQueryBuilderXML(QueryType.QueryBuilder querybuilder)`
`java.lang.String` | `getXMLString()` return XML String for this QueryType
`boolean` | `isModified()`
`void` | `parse(org.w3c.dom.Node node)` parse
`(package private) void` | `parseQueryBuilderConfig(org.w3c.dom.Node node)`
`void` | `setModified(boolean flag)`
`void` | `updateBlockDefinition(java.lang.String queryBuilderName, java.lang.String selectedBlockDefinitionName, java.lang.String newBlockDefinitionName, java.lang.String hint, QueryType.BlockRule blockRule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFALUT_BASIC_QUERY_BUILDER_CLASS

    public static final java.lang.String DEFALUT_BASIC_QUERY_BUILDER_CLASS

See Also:
  Constant Field Values

### DEFALUT_BASIC_QUERY_BUILDER_PARSER_CLASS

    public static final java.lang.String DEFALUT_BASIC_QUERY_BUILDER_PARSER_CLASS

See Also:
  Constant Field Values

### DEFALUT_BLOCKER_QUERY_BUILDER_CLASS

    public static final java.lang.String DEFALUT_BLOCKER_QUERY_BUILDER_CLASS

See Also:
  Constant Field Values

### DEFALUT_BLOCKER_QUERY_BUILDER_PARSER_CLASS

    public static final java.lang.String DEFALUT_BLOCKER_QUERY_BUILDER_PARSER_CLASS

See Also:
  Constant Field Values

Constructor Detail

### QueryType

    public QueryType()

Method Detail

### createBlockDefinition

    public QueryType.BlockDefinition createBlockDefinition(java.lang.String queryBuilderName,
                                                           java.lang.String name,
                                                           java.lang.String hint,
                                                           QueryType.BlockRule blockRule)

  Returns:
    BlockDefinition

### createQueryBuilder

    public QueryType.QueryBuilder createQueryBuilder(java.lang.String queryBuilderName,
                                                     java.lang.String queryBuilderClass,
                                                     java.lang.String parserClass,
                                                     boolean bStandardize,
                                                     boolean bPhoneticize,
                                                     java.lang.String optionKey,
                                                     java.lang.String optionValue,
                                                     boolean bUseWildcard,
                                                     java.util.ArrayList alBlockingRulesSelected)

  Returns:
    QueryBuilder

### deleteBlockDefinitionByName

    public void deleteBlockDefinitionByName(java.lang.String queryBuilderName,
                                            java.lang.String name)

### deleteQueryBuilderByName

    public void deleteQueryBuilderByName(java.lang.String queryBuilderName)

### getAllBlockDefinitions

    public java.util.ArrayList getAllBlockDefinitions()

### getBlockDefinitionByName

    public QueryType.BlockDefinition getBlockDefinitionByName(java.lang.String queryBuilderName,
                                                              java.lang.String blockDefinitionName)

### getBlockDefinitions

    public java.util.ArrayList getBlockDefinitions(java.lang.String queryBuilderName)

### getBlockingSources

    public java.util.ArrayList getBlockingSources()

  Returns:
    ArrayList ret ArrayList

### getBlockOnFields

    public java.util.ArrayList getBlockOnFields()

  Returns:
    ArrayList ret ArrayList

### getBlockRuleOfBlockDefinition

    public QueryType.BlockRule getBlockRuleOfBlockDefinition(java.lang.String queryBuilderName,
                                                             java.lang.String blockDefinitionName)

  Returns:
    ArrayList ret ArrayList of BlockRule

### getNewQueryBuilder

    public QueryType.QueryBuilder getNewQueryBuilder()

  Returns:
    QueryBuilder

### getQueryBuilderByName

    public QueryType.QueryBuilder getQueryBuilderByName(java.lang.String queryBuilderName)

  Returns:
    QueryBuilder

### getQueryBuilders

    public java.util.ArrayList getQueryBuilders()

  Returns:
    ArrayList ret QueryBuilders

### getQueryBuilderXML

    public java.lang.String getQueryBuilderXML(QueryType.QueryBuilder querybuilder)

### getXMLString

    public java.lang.String getXMLString()

  return XML String for this QueryType

### isModified

    public boolean isModified()

  Returns:
    boolean flag

### parse

    public void parse(org.w3c.dom.Node node)

  parse

  Parameters:
    `node` - Node

### parseQueryBuilderConfig

    void parseQueryBuilderConfig(org.w3c.dom.Node node)

### setModified

    public void setModified(boolean flag)

### updateBlockDefinition

    public void updateBlockDefinition(java.lang.String queryBuilderName,
                                      java.lang.String selectedBlockDefinitionName,
                                      java.lang.String newBlockDefinitionName,
                                      java.lang.String hint,
                                      QueryType.BlockRule blockRule)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.